﻿local MAJOR_VERSION = "Threat-2.0"
local MINOR_VERSION = tonumber(("$Revision: 61670 $"):match("%d+"))

if MINOR_VERSION > _G.ThreatLib_MINOR_VERSION then _G.ThreatLib_MINOR_VERSION = MINOR_VERSION end

ThreatLib_funcs[#ThreatLib_funcs+1] = function()
	local ThreatLib = _G.ThreatLib
	local SOCCOTHRATES_ID = 20886

	ThreatLib:GetModule("NPCCore"):RegisterModule(SOCCOTHRATES_ID, function(Soccothrates)
		function Soccothrates:Init()
			self:RegisterCombatant(SOCCOTHRATES_ID, true)

			self:RegisterSpellHandler(
				-- Register all known wing buffet IDs. We'll pare it down when we have better data, but for now, we'll just use them all.
				18500, 23339, 29905, 37157, 37319, 41572, 32914, 38110, 31475, 38593,
				function(mob, target) end
			)
		end
	end)
end
